<?php

	//----------------- آغاز فانکشن ها - فانکشن یک -------------------
	function Saeed($method,$datas=[	]){
		$url ="https://api.telegram.org/bot".token."/".$method;
		$ch = curl_init();
		curl_setopt($ch,CURLOPT_URL,$url);  
		curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
		curl_setopt($ch,CURLOPT_POSTFIELDS,$datas);
		$res = curl_exec($ch);
		if(curl_error($ch)){
			var_dump(curl_error($ch));
		}else{
			return json_decode($res);
		}
	}
	//------------------------- فانکشن دو -------------------------
	function SendMessage($chat_id,$text){
		Saeed('sendMessage',[
		'chat_id'=>$chat_id,
		'text'=>$text]);
	}
	//------------------------- فانکشن سه -------------------------
	function sendAction($chat_id, $action){
		Saeed('sendChataction',[
		'chat_id'=>$chat_id,
		'action'=>$action]);
	}
	//------------------------- فانکشن چهار -------------------------
	function forwardMessage ($chat_id,$from_chat_id,$message_id){
		Saeed('forwardMessage',[
		'chat_id'=>$chat_id,
		'from_chat_id'=>$from_chat_id,
		'message_id'=>$message_id]);
	}
	//------------------------- فانکشن پنج -------------------------
	function Delfile ($fName){
		$filehh = fopen($fName, "w")or die("Unable to open file!");
		fclose ($filehh);
		unlink ($fName);
	}
	//------------------------- فانکشن شش -------------------------
	function deletefolder($path) { 
		if ($handle=opendir($path)) {
			while (false!==($file=readdir($handle))) {
				if ($file<>"." AND $file<>"..") {
					if (is_file($path.'/'.$file))  {
						@unlink($path.'/'.$file); 
					}
					if (is_dir($path.'/'.$file)) { 
						deletefolder($path.'/'.$file); 
						@rmdir($path.'/'.$file); 
					}
				}
			}
		}
	}
	//-------------------------فانکشن هفت -------------------------
	function deleteMessage ($chat_id,$message_id){
		Saeed ('deleteMessage',[
		'chat_id'=>$chat_id,
		'message_id'=>$message_id
		]);
	}
	//------- فانکشن هشت - آغاز فانکشن ساخت پوشه در پوشه ---------
	function makeFile($path, $mode = 0755) {
		$path = rtrim(preg_replace(array("/\\\\/", "/\/{2,}/"), "/", $path), "/");
		$e = explode("/", ltrim($path, "/"));
		if (substr($path, 0, 1) == "/"){
			$e[0] = "/" . $e[0]; 
		}
		$c = count($e);
		$cp = $e[0];
		for ($i = 1; $i < $c; $i++) {
			if (!is_dir($cp) && !@mkdir($cp, $mode)){
				return false; 
			}
			$cp .= "/" . $e[$i]; 
		}
		return @mkdir($path, $mode); 
	}
	// تعیین مسیر و درخواست ایجاد پوشه ⬇ 
	makeFile('data/users/$from_id');  //true
	makeFile('data/admin/media');  //true
	//============ پایان فانکشن ساخت پوشه در پوشه ============
	//------------------------- فانکشن نهم  -------------------------
	function Ziper($folder_to_zip_path, $destination_zip_file_path){
		$rootPath = realpath($folder_to_zip_path);
		$zip = new ZipArchive();
		$zip->open($destination_zip_file_path, ZipArchive::CREATE | ZipArchive::OVERWRITE);
		$files = new RecursiveIteratorIterator(
			new RecursiveDirectoryIterator($rootPath),
			RecursiveIteratorIterator::LEAVES_ONLY 
		);
		foreach ($files as $name => $file){
			if (!$file->isDir()){
				$filePath = $file->getRealPath();
				$relativePath=substr($filePath, strlen($rootPath)+1);
				$zip->addFile($filePath, $relativePath);
			}
		}
		$zip->close(); 
	}
	//=================== پایان فانکش ها ===================
?>